Warnings after upgarding to .Net 4.5

Apr 26, 2013 at 2:59 PM
Hi Serena,

I upgraded to .Net 4.5 and have been getting the following warnings even though I do not use Oracle.

Please advise if there are any pitfalls here that i need to watch for. Still using VS2010 as IDE.

C:\Windows\Microsoft.NET\Framework\v4.0.30319\Microsoft.Common.targets(1578,5): warning MSB3253:
The currently targeted framework ".NETFramework,Version=v4.0,Profile=Client" does not include
"System.Data.OracleClient, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089"
which the referenced assembly

Workflows.Activities.dll

depends on. This caused the referenced assembly to not resolve.
To fix this, either
(1) change the targeted framework for this project, or
(2) remove the referenced assembly from the project.
Coordinator
Apr 27, 2013 at 3:28 AM
Hi,

I think the Target Framework is somewhat set to .NET Framework Client Profile. Changing it to .NET Framework 4.5 in Project properties should solve the issue.

Hugs,
Serena
Apr 29, 2013 at 6:09 PM
Thanks. That seems to have worked.